Section "ServerLayout"
	Identifier "plsscreens"

	Screen 0 "screen0-on-agpnvidia"
	Screen 1 "screen1-on-agpnvidia" RightOf "screen0-on-agpnvidia"

	InputDevice "Keyboard0" "CoreKeyboard"

	InputDevice "MSIE" "CorePointer"
#	InputDevice "ps2mouse" "AlwaysCore"

	Option "AutoAddDevices" "False"
EndSection

Section "Files"
EndSection

Section "Module"
#	Load  "dbe"
#	Load  "dri"
#	Load  "extmod"
#	Load  "glx"
#	Load  "record"
#	Load  "xtrap"
#	Load  "freetype"
EndSection

Section "Files"
        ModulePath "/var/chroot/x11/usr/lib/xorg/modules"
        ModulePath "/var/chroot/x11/usr/lib/xorg/modules/extensions"
EndSection

Section "ServerFlags"
	Option	"blank time"	"1200"
	Option	"standby time"	"1260"
	Option	"suspend time"	"1320"
	Option	"off time"	"1380"
	Option	"XkbDisable"
	Option	"Xinerama"	"off"
        Option  "DontZap"       "off"
        Option  "DontVTSwitch"  "off"
        Option  "DontZoom"      "off"
EndSection

Section "InputDevice"
	Identifier		"Keyboard0"
	Driver	"kbd"
	Option	"Xleds"		"1 2 3"
	Option	"XkbDisable"
	Option	"LLeftAlt"	"Meta"

	Option	"AutoRepeat"	"500 5"

#	Option	"XkbModel"	"pc102"
#	Option	"XkbLayout"	"de"
#	Option	"XkbVariant"	"nodeadkeys"
EndSection

Section "InputDevice"

# Identifier and driver

	Identifier	"Mouse1"
	Driver		"mouse"
	Option		"Device"	"/dev/mouse"
	Option		"Protocol"	"AUTO"
#	Option		"Protocol"	"PS/2"
#	Option		"Protocol"	"IMPS/2"
#	Option		"Protocol"	"ExplorerPS/2"
	Option		"Buttons" 	"7"
	Option		"ZAxisMapping"	"4 5"
#	Option	"Emulate3Buttons"
#	Option	"Emulate3Timeout"	"300"
EndSection

Section "InputDevice"
	Identifier	"MSIE"
	Driver		"mouse"
	Option		"Device"	"/dev/input/mice"
#	Option		"Device"	"/dev/mouse"
	Option		"Protocol"	"ExplorerPS/2"
	Option		"Buttons" 	"9"
	Option		"ZAxisMapping"	"4 5"
	Option		"Resolution"	"200"
EndSection

Section "InputDevice"
	Identifier  "ps2mouse"
	Driver      "mouse"
	Option	    "Protocol" "PS/2"
	Option	    "Device" "/dev/input/mice"
	Option	    "ZAxisMapping" "4 5"
	Option	    "Emulate3Buttons" "yes"
EndSection

Section "Monitor"
	Identifier	"Generic Monitor"
	Mode 		"640x480"
	DotClock	25.175
	HTimings	640 664 760 800
	VTimings	480 491 493 525
	EndMode
EndSection

section "Monitor"
	Identifier	"a90"
	DisplaySize	359 268
	VendorName	"Viewsonic"
	ModelName	"A90"
	HorizSync	30 - 102
	VertRefresh	50 - 120

	Modeline "1600x1200cra" 162.0 1600 1664 1856 2160   1200 1201 1204 1250
	Modeline "emacs"      135 840 1120 1224 1664   1024 1050 1053 1120
	Modeline "1280x1024"  135 1280 1376 1480 1664  1024 1050 1053 1120
	Modeline "1152x900"   135  1152 1296 1424 1536	900 925 928 980
#	ModeLine "1024x768"    60 1024 1128 1240 1344 768 778 782 808
	ModeLine "1024x768"   85 1024 1032 1152 1360 768 784 787 823
	ModeLine "800x600"    50 800  856  976  1040  600 637 643 666
	ModeLine "640x480"    25.175 640 664 760 800 480 491 493 525
EndSection

Section "Monitor"
	Identifier	"pf795"
	VendorName	"Viewsonic"
	ModelName	"pf795"
#	Bandwidth	260
	HorizSync	30 - 260
	VertRefresh	50 - 260
	Modeline "emacs"      135 840 1120 1224 1664   1024 1050 1053 1120

#	junk
#	Modeline "1400x1040"  127.88 1400 1432 1912 1944 1040 1061 1071 1093
	Modeline "1400x1050cra" 155.80   1400 1476 1796 1844   1050 1053 1064 1112

EndSection

Section "Device"
	Identifier	"Generic VGA"
	Driver	"vga"
EndSection

Section "Device"
	Identifier	"agpnv"
	Driver		"nv"
	VendorName	"Videocard vendor"
	BoardName	"Whatever NVidia is in the AGP slot - first screen"
	BusID		"PCI:4:0:0"
	Screen		0
EndSection

Section "Device"
	Identifier	"agpnvidia0"
	Driver		"nvidia"
	VendorName	"Videocard vendor"
	BoardName	"Whatever NVidia is in the AGP slot - first screen"
	BusID		"PCI:4:0:0"
	Screen		0
#	Option		"ConnectedMonitor" "CRT-0,CRT-1"
#	Option		"UseDisplayDevice" "DFP"
	Option		"Coolbits" "1"
EndSection

Section "Device"
	Identifier	"agpnvidia1"
	Driver		"nvidia"
	VendorName	"Videocard vendor"
	BoardName	"Whatever NVidia is in the AGP slot - second screen"
	BusID		"PCI:4:0:0"
	Screen		1
#	Option		"ConnectedMonitor" "CRT-0,CRT-1"
#	Option		"UseDisplayDevice" "CRT"
	Option		"Coolbits" "1"
EndSection

Section "Screen"
	Identifier		"screen0-on-agpnvidia"
	Device	  		"agpnvidia0"
	Monitor			"pf795"
	DefaultColorDepth 	24
	Option			"Rotate" "Right" # (*&#((#!!!
	Subsection "Display"
		Depth		24
		Modes 
#			"1600x1280"
#			"1600x1200"
#			"1600x1200cra"
			"1600x1200"
			"1400x1050cramag"
			"1280x1024"
			"1152x864"
			"1024x768i"
			"1024x768"
			"800x600"
			"640x480"
			"320x240"
	EndSubsection
EndSection

Section "Screen"
	Identifier	"screen1-on-agpnvidia"
	Device     	"agpnvidia1"
	Monitor    	"a90"
	DefaultDepth	24
	SubSection	"Display"
		Viewport   	0 0
		Depth     	24
		Modes
#				"1920x1200dell2"
#				"1920x1200dell3"
              			"1920x1080"
#				"1600x1200"
				"1400x1050"
				"1280x1024"
				"1280x960"
				"1152x864"
				"1024x768"
				"800x600"
				"640x480"
	EndSubSection
EndSection
